Subject: [rohc] RE: draft-saifullah-rohc-tcp-early-comp*-00.txt

From: [email-masked]
Date: Tue, 5 Nov 2002 09:06:38 -0600

Hi Ghyslain,
Thank you for sending comments on the draft. Basically you have raised two concerns, please see my response below.

---
Yousuf
-----Original Message-----
From: ext Ghyslain Pelletier [mailto:[email-masked]]
Sent: 05 November, 2002 4:30 AM
To: Saifullah Yousuf (NRC/Dallas); [email-masked]
Subject: draft-saifullah-rohc-tcp-early-comp*-00.txt

Hi Yousuf,

Regarding draft-saifullah-rohc-tcp-early-compression-00.txt and
draft-saifullah-rohc-tcp-early-comp-in-gprs-00.txt:

My current understanding is that these drafts:

1) describes the ground principles behind the idea of populating a
   ROHC-TCP decompressor context prior to the use of ROHC IR packets.
2) defines a generic approach ("Early Compression Enabler") that uses
   out-of-band mechanisms ("Early Compression mechanisms"), as well
   as the necessary additions required within the profile definition
   for the in-band part of the approach. This may be used to populate
   a ROHC-TCP decompression context prior to in-band initialization.
3) provides an example when applied in a gprs system.

How well these drafts relates to the ROHC WG is somewhat unclear to me,
for the following reasons:

- I believe that the idea behind reusing information already present
  at the decompressor side is already part of the currently ongoing
  work around context replication in draft-ietf-rohc-tcp-03.txt
[Yousuf] draft-ietf-rohc-tcp-03.txt is not available. I have looked into context replication in draft-ietf-rohc-tcp-02.txt. Early Compression Enabler is different than context replication, itcan be used to provide context replication, please read Section 3.4 of draft-saifullah-rohc-tcp-early-compression-00.txt. The following are some of the differences I would like to highlight to make my point:
- context replication does require a previous TCP connection so as to use that as base context. Early Compression Enabler can start compressing from the very first packet without any previous TCP connection. It doesn't require any ROHC-TCP base context
- context replication requires base context in B-mode and in FO/SO state, Early Compression Enabler doesn't require that.
- context replication requires storage of a base context. Early compression Enabler doesn't mandate such storage.

- I believe that out-of-band mechanisms for improving the
  performance of ROHC should not be addresed by the WG, but
  within the respective applicable standardization bodies of the
  related technology.
[Yousuf] I totally agree with your believe that's why I didn't propose any out-of-band mechanism in draft-saifullah-rohc-tcp-early-compression-00.txt. Please note that the early compression enabler is not technology dependent. I have submitted draft-saifullah-rohc-tcp-early-comp-in-gprs-00.txt as an informative draft, showing an example. I am not proposing this GPRS mechanism for standardization over here. 

Once out-of-band mechanisms are not considered by the WG, what is left
are the in-band additions. The in-band functionality necessary to
identify reusable information already present at the decompressor is
already part of the context replication work for ROHC-TCP. Therefore I
am not sure if these drafts bring new useful information to this WG.

Best regards,

/Ghyslain Pelletier
Wireless IP Optimizations
AWARE - Advanced Wireless Algorithm Research
Ericsson Research, Corporate Unit
Ericsson AB
Luleå, Sweden
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc